Name:          mckoi
Version:       1.0.4
Release:       13%{?dist}
Summary:       Open Source Java SQL Database
License:       GPLv2
URL:           http://mckoi.com/database/
Source0:       http://mckoi.com/database/ver/%{name}%{version}.zip
Patch0:        %{name}-%{version}-jdk7.patch
Patch1:        %{name}-%{version}-fix_fsf-address.patch

BuildRequires: gnu-regexp
BuildRequires: java-devel
#BuildRequires: javacc
BuildRequires: maven-local
BuildRequires: zip
BuildArch:     noarch

%description
Mckoi SQL Database is an Open Source SQL Database System written in Java.
The Mckoi SQL Database project was started in 1998, and the goal was to
build a database management system in a traditional shared disk/shared memory
style architecture. Mckoi SQL Database includes some nice features such as
write-ahead-logging. Many of the design ideas implemented in this project
were carried through into MckoiDDB, the evolution of this project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package demos
Summary:       Demonstrations and samples for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      gnu-regexp

%description demos
This package contains sources archive demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}%{version}
find . -name '*.jar' -delete
find . -name '*.class' -delete
find . -name '*.bat' -delete
unzip -qq src.zip
%patch0 -p0
%patch1 -p1

# contrib require org.jboss.system
# fix generics support for java 7
sed -i "s|<source>1.3</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.3</target>|<target>1.5</target>|" pom.xml

sed -i "s|../mckoidb.jar:../gnu-regexp-1.0.8.jar|../target/MckoiSQLDB-%{version}.jar:%{_javadir}/gnu-regexp.jar|" test/*.sh
chmod 755 test/*.sh

sed -i 's/\r//' README.txt LICENSE.txt docs/LICENSE.txt
# javacc 6.x generate broken java files
#cd src/main/java/com/mckoi/database/sql
#rm -rf TokenMgrError.java ParseException.java Token.java SimpleCharStream.java
#javacc.sh SQL.jj

%mvn_file :MckoiSQLDB %{name}
%mvn_file :MckoiSQLDB MckoiSQLDB

%build

%mvn_build

%install

mkdir -p %{buildroot}%{_datadir}/%{name}
(
  cd src/main/java
  zip ../../../%{name}-src -r com
)
cp -pr %{name}-src.zip %{buildroot}%{_datadir}/%{name}
cp -pr contrib %{buildroot}%{_datadir}/%{name}
cp -pr demo %{buildroot}%{_datadir}/%{name}
cp -pr test %{buildroot}%{_datadir}/%{name}

%mvn_install


%check
cd test
sh ./runLocalTest.sh

%files -f .mfiles
%doc README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files demos
%{_datadir}/%{name}
%doc docs/*
%license LICENSE.txt

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 25 2016 gil cattaneo <puntogil@libero.it> 1.0.4-12
- disable javacc support

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.0.4-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.4-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 1.0.4-5
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 gil cattaneo <puntogil@libero.it> 1.0.4-2
- Added demos package. 
- demos package contains also sources archive.

* Sat Jun 16 2012 gil cattaneo <puntogil@libero.it> 1.0.4-1
- initial rpm
